pomo
====

pomo is a time management system for getting projects done, based on the Pomodoro Technique originally developed by Francesco Cirillo. The traditional method is to use a tomato ("pomodoro" in Italian) timer set for 25 minutes to work on a task, then take a 5-10 minute break. One set of work time plus the break is called a "pomodoro." Typically one completes 4 sets of pomodoros before taking a longer 20-30 minute break. 

pomo has an audible bell sound after each pomodoro and each break, played via the program sox.

### Dependencies

* Lua (tested with 5.3.6)
* Sox (tested with 14.4.2)

INSTALL
-------

Using the luarocks package manager:

```
git clone https://tildegit.org/exquisitecorp/pomo.git
cd pomo

luarocks install lua-term
luarocks install alt-getopt
chmod +x pomo
```

Optional: Move pomo to your path such as ~/.local/bin or /usr/local/bin to execute it anywhere.

USAGE
-----

```pomo``` by default sets a 25 minute pomodoro timer with 5 minute break, repeating 4 times.


Additional options:


```
SYNOPSIS
  pomo [OPTION] [ARGUMENT]

DESCRIPTION

  -t  --times <amount>
          amount of pomodoros to run. Default = 4

  -n  --nobreak
	  suppresses 5 minute break timer after completing a pomodoro

  -h  --help
          this help text
```

Tested on Lua 5.35

NO COPYRIGHT

Unlicense 2023 exquisitecorp
